{
  self,
  inputs,
  ...
}: {
  flake.nixosModules.desktop = {
    pkgs,
    lib,
    ...
  }: let
    modules = with self.nixosModules; [
      core
      hyprland
      sddm
      network
      omnisearch
    ];
  in {
    imports = modules;
  };
}
